void initI2c(void);
void startI2c(void);
void restartI2c(void);
void stopI2c(void);
void writeI2c(unsigned char data);
unsigned char readI2c(void);
void ackI2c(void);
void nackI2c(void);
unsigned char getAckI2c(void);